com.google.gwt.dom.client

## Class DOMImplWebkit

- java.lang.Object
- - com.google.gwt.dom.client.DOMImpl
  - - com.google.gwt.dom.client.DOMImplStandard
    - - com.google.gwt.dom.client.DOMImplStandardBase
      - - com.google.gwt.dom.client.DOMImplWebkit

    class DOMImplWebkit
    extends DOMImplStandardBase

WebKit based implementation of `DOMImplStandardBase`.

### Field Summary

### Fields inherited from class com.google.gwt.dom.client.DOMImpl

`impl`

### Constructor Summary

Constructors
Constructor and Description
`DOMImplWebkit()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EventTarget` `eventGetTarget(NativeEvent evt)` Webkit events sometimes target the text node inside of the element instead of the element itself, so we need to get the parent of the text node.
`(package private) Element` `getLegacyDocumentScrollingElement(Document doc)`
`void` `setDraggable(Element elem, java.lang.String draggable)` Webkit based browsers require that we set the webkit-user-drag style attribute to make an element draggable.

### Methods inherited from class com.google.gwt.dom.client.DOMImplStandardBase

`createButtonElement, createKeyCodeEvent, createKeyEvent, createKeyPressEvent, createScriptElement, eventGetCurrentTarget, eventGetMouseWheelVelocityY, getAbsoluteLeft, getAbsoluteTop, getScrollLeft, getTabIndex, isRTL, setScrollLeft`

### Methods inherited from class com.google.gwt.dom.client.DOMImplStandard

`createHtmlEvent, createInputRadioElement, createMouseEvent, dispatchEvent, eventGetButton, eventGetCharCode, eventGetRelatedTarget, eventPreventDefault, eventToString, getDocumentScrollingElement, getInnerText, getNativeDocumentScrollingElement, isOrHasChild, setInnerText`

### Methods inherited from class com.google.gwt.dom.client.DOMImpl

`buttonClick, createCheckInputElement, createElement, createInputElement, cssClearOpacity, cssFloatPropertyName, cssSetOpacity, eventGetAltKey, eventGetClientX, eventGetClientY, eventGetCtrlKey, eventGetKeyCode, eventGetMetaKey, eventGetRotation, eventGetScale, eventGetScreenX, eventGetScreenY, eventGetShiftKey, eventGetType, eventSetKeyCode, eventStopPropagation, getAttribute, getBodyOffsetLeft, getBodyOffsetTop, getChangedTouches, getFirstChildElement, getInnerHTML, getNextSiblingElement, getNodeType, getNumericStyleProperty, getParentElement, getPreviousSiblingElement, getScrollLeft, getScrollTop, getStyleProperty, getTagName, getTargetTouches, getTouches, hasAttribute, scrollIntoView, selectAdd, selectClear, selectGetLength, selectGetOptions, selectRemoveOption, setScrollLeft, setScrollTop, toInt32, toString, touchGetClientX, touchGetClientY, touchGetIdentifier, touchGetPageX, touchGetPageY, touchGetScreenX, touchGetScreenY, touchGetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMImplWebkit

    DOMImplWebkit()

### Method Detail

#### eventGetTarget

    public EventTarget eventGetTarget(NativeEvent evt)

Webkit events sometimes target the text node inside of the element instead of the element itself, so we need to get the parent of the text node.

Overrides:
  `eventGetTarget` in class `DOMImplStandard`

#### setDraggable

    public void setDraggable(Element elem,
                             java.lang.String draggable)

Webkit based browsers require that we set the webkit-user-drag style attribute to make an element draggable.

Overrides:
  `setDraggable` in class `DOMImpl`

#### getLegacyDocumentScrollingElement

    Element getLegacyDocumentScrollingElement(Document doc)

Overrides:
  `getLegacyDocumentScrollingElement` in class `DOMImplStandard`